/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	pa/sys/asm.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  no
 *
 *  Shipped:  yes
 *	/usr/include/pa/asm.h
 *	/usr/conf/pa/asm.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/

#ifdef __NO_PA_HDRS
    PA header file -- do not include this header file for non-PA builds.
#endif


/*
 * Include the m4 module that does all the preprocessing for new calling
 * convention entry and exit code.  This file only exists in kernel makes,
 * so do nothing for users.
 */
#ifdef	LOCORE
#include <machine/sys/asm.m4>
#endif

/*
 * Branch on Bit Macros
 */
#define	bbset	bb,<
#define	bbclr	bb,>=

#ifdef __LP64__
#define	bbset64	bb,*<
#define	bbclr64	bb,*>=
#endif
