/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	pa/fp/asm_em.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  no
 *
 *  Shipped:  yes
 *	/usr/include/pa/asm_em.h
 *	/usr/conf/pa/asm_em.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/

#ifdef __NO_PA_HDRS
    PA header file -- do not include this header file for non-PA builds.
#endif


/*
 * Byte Offsets into Emulation Floating Point Coprocessor Register Area
 */
#define	FPU_FR0	0
#define	FPU_FR1	8
#define	FPU_FR2	16
#define	FPU_FR3	24
#define	FPU_FR4	32
#define	FPU_FR5	40
#define	FPU_FR6	48
#define	FPU_FR7	56
#define	FPU_FR8	64
#define	FPU_FR9	72
#define	FPU_FR10	80
#define	FPU_FR11	88
#define	FPU_FR12	96
#define	FPU_FR13	104
#define	FPU_FR14	112
#define	FPU_FR15	120
#define	FPU_FR16	128
#define	FPU_FR17	136
#define	FPU_FR18	144
#define	FPU_FR19	152
#define	FPU_FR20	160
#define	FPU_FR21	168
#define	FPU_FR22	176
#define	FPU_FR23	184
#define	FPU_FR24	192
#define	FPU_FR25	200
#define	FPU_FR26	208
#define	FPU_FR27	216
#define	FPU_FR28	224
#define	FPU_FR29	232
#define	FPU_FR30	240
#define	FPU_FR31	248


#define	FPU_SF1	FPU_FR12
#define	FPU_SF2	FPU_FR13
#define	FPU_SF3	FPU_FR14
#define	FPU_SF4	FPU_FR15
#define FPU_SF4 FPU_FR15
#define FPU_SF5 FPU_FR16
#define FPU_SF6 FPU_FR17
#define FPU_SF7 FPU_FR18
#define FPU_SF8 FPU_FR19
#define FPU_SF9 FPU_FR20
#define FPU_SF10    FPU_FR21

/*
 * Byte Offsets into Emulation Multiply/Divide SFU Register Area
 */
#define	MDSFU_HI	0
#define	MDSFU_LO	4
#define	MDSFU_OV	8

/*
 * Word Offsets into Emulation Multiply/Divide SFU Register Area
 */
#define	HI	0
#define	LO	1
#define	OV	2
