/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	pa/vm/hdl_region.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  yes
 *
 *  Shipped:  yes
 *	/usr/include/pa/hdl_region.h
 *	/usr/conf/pa/hdl_region.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/

#ifdef __NO_PA_HDRS
    PA header file -- do not include this header file for non-PA builds.
#endif


#ifndef _HDL_REGION_INCLUDED
#define _HDL_REGION_INCLUDED

struct hdlregion {
	space_t r_space;	/* Space hint for hdl_attach */
	prot_t r_prot;		/* Protection hint for hdl_attach */
	caddr_t	r_vaddr;	/* vaddr hint for hdl_attach */
	u_short r_hdlflags;	/* Flags for hdl_attach */
};

#define RHDL_MMAP_ATTACHED	0x0001		/* Region has been mmaped
						   to user space */
#define RHDL_MMAP_PUBLIC	0x0002		/* Region has been mmaped
						   with public key */
#define RHDL_SID_ALLOC          0x0004      	/* Region has allocated
						   a space id */
#define RHDL_PROTID_ALLOC	0x0008		/* Region has allocated
						   a protection id */
#define RHDL_MANDATORY_LOC	0x00000020	/* Region must allocate on
						   specified locality domain */
#endif /* _HDL_REGION_INCLUDED */
