/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	pa/sys/param_shm.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  yes
 *
 *  Shipped:  yes
 *	/usr/include/pa/param_shm.h
 *	/usr/conf/pa/param_shm.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/

#ifdef __NO_PA_HDRS
    PA header file -- do not include this header file for non-PA builds.
#endif


#ifndef _MACHINE_PARAM_SHM_INCLUDED
#define _MACHINE_PARAM_SHM_INCLUDED

/* This used to be defined in h/shm.h and later in machine/sys/param.h. It was 
 * defined in terms of ptob().
 * Standards require that a program be able to get this definition by just
 * including h/shm.h. That was not possible as ptob() and PGSHIFT definitions
 * are in param.h and vmmac.h. The other alternative was to modify  h/shm.h to
 * incude the necessary files viz h/vmmac.h and machine/sys/param.h. But that
 * violates standards again because of name space collisions.  Hard coding
 * SHMLBA in shm.h will make it difficult  for kernel engineers. So it was
 * decided to keep it here.
 */
#define SHMLBA 4096             /* (1 << PGSHIFT) */

#endif /* _MACHINE_PARAM_SHM_INCLUDED */
