/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	pa/rdb/rdb_ss.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  no
 *
 *  Shipped:  yes
 *	/usr/include/pa/rdb_ss.h
 *	/usr/conf/pa/rdb_ss.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/

#ifdef __NO_PA_HDRS
    PA header file -- do not include this header file for non-PA builds.
#endif

#ifndef _MACHINE_RDB_SS_INCLUDED
#define _MACHINE_RDB_SS_INCLUDED

struct SPECSTATE {			/* Format of HP 9000 Series 800 saved state */
	unsigned long	ss_gr[32];
	unsigned long	ss_sr[8];
	unsigned long	ss_rctr;	/* Recovery Counter Register */
	unsigned long	ss_ccr;		/* Coprocessor Confiquration Register */
	unsigned long	ss_sar;		/* Shift Amount Register */
	unsigned long	ss_pidr1;	/* Protection ID 1 */
	unsigned long	ss_pidr2;	/* Protection ID 2 */
	unsigned long	ss_pidr3;	/* Protection ID 3 */
	unsigned long	ss_pidr4;	/* Protection ID 4 */
	unsigned long	ss_iva;		/* Interrupt Vector Address */
	unsigned long	ss_eiem;	/* External Interrupt Enable Mask */
	unsigned long	ss_itmr;	/* Interval Timer */
	unsigned long	ss_pcsq0;	/* Program Counter Space queue (front) */
	unsigned long	ss_pcsq1;	/* Program Counter Space queue (back) */
	unsigned long	ss_pcoq0;	/* Program Counter Offset queue (front) */
	unsigned long	ss_pcoq1;	/* Program Counter Offset queue (back) */
	unsigned long	ss_iir;		/* Interruption Instruction Register */
	unsigned long	ss_isr;		/* Interruption Space Register */
	unsigned long	ss_ior;		/* Interruption Offset Register */
	unsigned long	ss_ipsw;	/* Interrpution Processor Status Word */
	unsigned long	ss_eirr;	/* External Interrupt Request */
	unsigned long ss_ppda;		/* Physcial Page Directory Address */
	unsigned long ss_hta;	 	/* Hash Table Address */
	unsigned long	ss_tr2;		/* Temporary register 2 */
	unsigned long	ss_tr3;		/* Temporary register 3 */
	unsigned long	ss_tr4;		/* Temporary register 4 */
	unsigned long	ss_tr5;		/* Temporary register 5 */
	unsigned long	ss_tr6;		/* Temporary register 6 */
	unsigned long	ss_tr7;		/* Temporary register 7 */
	unsigned long	ss_fcode;	/* Fault code for reasons other than hitting a break instruction */
};

#endif
