/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	common/wsio/tryrec.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  no
 *
 *  Shipped:  yes
 *	/usr/include/pa/tryrec.h
 *	/usr/conf/pa/tryrec.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/

#ifdef __NO_PA_HDRS
    PA header file -- do not include this header file for non-PA builds.
#endif


#ifndef _MACHINE_TRYREC_INCLUDED /* allows multiple inclusion */
#define _MACHINE_TRYREC_INCLUDED

#ifndef _SYS_STDSYMS_INCLUDED
#    include <sys/stdsyms.h>
#endif   /* _SYS_STDSYMS_INCLUDED  */
#ifdef _KERNEL
#    include <sys/mp.h>
#endif

struct C__trystuff {
	long	rp;
	long	sp;
	long	dp;
	long	ss;
	long	link;
	/* 64_REVISIT:  can this work correctly with only 16 regs? */
	long	regs[16];
	double  fpregs[10];
	};

#define try if (C__tst()){struct C__trystuff T__R; C__try(&T__R);
#define recover C__rec(&T__R);} else 



typedef struct try_queue_struct {
		struct C__trystuff *top;
		int errcode;
} try_queue_t;

extern try_queue_t try_queues[MAX_PROCS];

#define	escapecode ((!ON_ICS) ? u.u_pcb.pcb_escapecode : try_queues[getprocindex()].errcode)

#endif /* ! _MACHINE_TRYREC_INCLUDED */
