/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	common/wsio/intrpt.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  no
 *
 *  Shipped:  yes
 *	/usr/include/pa/intrpt.h
 *	/usr/conf/pa/intrpt.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/


#ifndef _MACHINE_INTRPT_INCLUDED /* allows multiple inclusion */
#define _MACHINE_INTRPT_INCLUDED

#include <sys/types.h>

/*
**  interrupt information structure
**	WARNING: there are assembly language dependencies in locore.s
**		 that are NOT handled by the genassym.c mechanism!!!
*/
struct interrupt {
	char *regaddr;
	char mask;
	char value;
	struct interrupt *next;
        int (*isr) __((void *arg1, void *arg2));
	char chainflag;
	char misc;
	long temp;
};

struct interrupt *rupttable[8];

#endif /* _MACHINE_INTRPT_INCLUDED */
