/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	pa/pdc/iodc_boot.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  no
 *
 *  Shipped:  yes
 *	/usr/include/pa/iodc_boot.h
 *	/usr/conf/pa/iodc_boot.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/

#ifdef __NO_PA_HDRS
    PA header file -- do not include this header file for non-PA builds.
#endif


#define IODC_MAX 		0x8000
#define IODC_STACK_RESERVE	0x1D00
#define IODC_FRAME_SIZE		0x200
#define IODC_SPA_SHIFT_MASK	0x1F
#define MAX_DATA 		8192

#define ENTRY_FIRST_16 		0
#define ENTRY_INIT     		3
#define ENTRY_IO       		4

#define INIT_SEARCH_FIRST 	2
#define INIT_SEARCH_NEXT 	2
#define INIT_MOD_AND_DEV 	4
#define INIT_DEV 		5
#define INIT_RETURN_MSG		9

#define BOOTDEV_READ   		0
#define BOOTDEV_WRITE  		1
/* Console input		2 */
/* Console output		3 */
#define BOOTDEV_CLOSE  		4

#define DELTA_TO_HPA 		0x20
#define DELTA_TO_SPA 		0x24
#define DELTA_TO_IODC 		0x28
#define BOOT_MEM_AREA 		0x3D0
#define BOOTDEV_MEM_AREA 	0x3D0
#define KEYBOARD_MEM_AREA 	0x400
#define PATH_REMAINDER 		8
#define PATH_LENGTH 		32
#define BAD_IODC		0x6b	/* Bad IODC setup. */

#define CL_MASK			0xF
#define CL_RANDOM		1
#define CL_SEQU			2
#define CL_DUPLEX		7
#define CL_KEYBD		8
#define CL_DISPL		9
