/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	pa/init/locore.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  no
 *
 *  Shipped:  yes
 *	/usr/include/pa/locore.h
 *	/usr/conf/pa/locore.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/

#ifdef __NO_PA_HDRS
    PA header file -- do not include this header file for non-PA builds.
#endif


#define IHANDLER(reason) ! \
	.import ihandler! \
	mtctl	T1,tr4! \
	mtctl	sp,tr7! \
	mtctl	arg0,tr2! \
	mfctl	itmr,T1! \
	mtctl	T1,tr5! \
	ldil	L%ihandler,arg0! \
	.call! \
	be	R%ihandler(sr4,arg0)! \
	ldi	reason,arg0

#define THANDLER(reason) ! \
	.import thandler! \
	mtctl	T1,tr4! \
	mtctl	sp,tr7! \
	mtctl	arg0,tr2! \
	mfctl	itmr,T1! \
	mtctl	T1,tr5! \
	ldil	L%thandler,arg0! \
	.call! \
	be	R%thandler(sr4,arg0)! \
	ldi	reason,arg0

#define BHANDLER(reason) ! \
	b	bhandler! \
	mtctl	arg0,tr2

#define RFIR_INST 0x00000CA0

#define SHADOW_THANDLER(reason) ! \
        mtctl  r22,tr4! \
        mtctl  rp,tr6! \
        bl     $swap_shadows,rp! \
        mtctl  arg0,tr2! \
        ldo    1(r0),arg0! \
        mfctl  ppdp,r22! \
        stw    arg0,SHAD_TRAP_FLAG_OFFSET(r22)! \
        mfctl  tr6,rp! \
        mfctl  itmr,T1! \
        mtctl  sp,tr7! \
        mtctl  T1,tr5! \
        ldil   L%thandler,arg0! \
        .call! \
        be     R%thandler(sr4,arg0)! \
        ldi    reason,arg0

#define LPMC_HANDLER !\
	.import lpmc_handler! \
	mtctl	T1,tr4! \
	mtctl	sp,tr7! \
	mtctl	arg0,tr2! \
	mfctl	itmr,T1! \
	mtctl	T1,tr5! \
	ldil	L%lpmc_handler,arg0! \
	.call! \
	be	R%lpmc_handler(sr4,arg0)! \
	ldi	I_LPMACH_CHK,arg0

