/*
 * BEGIN_DESC
 * 
 *  File: 
 *      @(#)B.11.11_LR	pa/dlkm/momd.h		$Revision: $
 * 
 *  Purpose:
 *      <<please update with a synopis of the functionality provided by this file>>
 * 
 *  Classification:			Release to Release Consistency Req:
 *		<<please select one of the following:>>
 * 	kernel subsystem private		none
 * 	kernel private				none
 * 	kernel 3rd party private		limited source
 * 	public					binary & source
 * 
 *  BE header:  yes
 *
 *  Shipped:  yes
 *	/usr/include/pa/momd.h
 *	/usr/conf/pa/momd.h
 *
 *  <<please delete the following note if this is a "public" header>>
 *  NOTE:
 *	This header file contains information specific to the internals
 *	of the HP-UX implementation.  The contents of this header file
 *	are subject to change without notice.  Such changes may affect
 *	source code, object code, or binary compatibility between
 *	releases of HP-UX.  Code which uses the symbols contained within
 *	this header file is inherently non-portable (even between HP-UX
 *	implementations).
 * 
 * END_DESC  
*/

#ifdef __NO_PA_HDRS
    PA header file -- do not include this header file for non-PA builds.
#endif


#ifndef _MACHINE_MOMD_INCLUDED
#define _MACHINE_MOMD_INCLUDED

#ifndef NO_DLKM

#include <machine/unwind.h>	/* kernel src: <machine/shutdown/unwind.h> */

#define NUM_STUB_TBL 	2

struct modobj_md  {
	uint32_t	*stubs[NUM_STUB_TBL];
	stubDesc_t	*stubs_unwind;
	uint32_t	nstubs[NUM_STUB_TBL];
	uint32_t	stubs_max;
	uint32_t	nstubs_tbl;	/* number of stub tables in use */
	uint32_t	unwind_size;
	unwindDesc_t	*unwind;
	uint64_t	*dlt;
	uint32_t	ndlt;
	uint32_t	dlt_max;
};

#endif /* NO_DLKM */

#endif /* _MACHINE_MOMD_INCLUDED */
